Index: projets/BCCCC/war/bcccc/30A813512B59F435507D1077DE9B2435.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/30A813512B59F435507D1077DE9B2435.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/30A813512B59F435507D1077DE9B2435.gwt.rpc	(revision 8)
@@ -0,0 +1,42 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.Data, true, true, true, true, org.ccc.bcccc.shared.Data/299459428, 299459428
+[Lorg.ccc.bcccc.shared.Data;, true, true, true, true, [Lorg.ccc.bcccc.shared.Data;/3541387031, 3541387031
+org.ccc.bcccc.shared.Dispositif, true, true, true, true, org.ccc.bcccc.shared.Dispositif/2259613867, 2259613867
+[Lorg.ccc.bcccc.shared.Dispositif;, true, true, true, true, [Lorg.ccc.bcccc.shared.Dispositif;/2568248444, 2568248444
+org.ccc.bcccc.shared.DocumentUnit, true, true, true, true, org.ccc.bcccc.shared.DocumentUnit/1769601531, 1769601531
+[Lorg.ccc.bcccc.shared.DocumentUnit;, true, true, true, true, [Lorg.ccc.bcccc.shared.DocumentUnit;/1820140400, 1820140400
+org.ccc.bcccc.shared.Publication, true, true, true, true, org.ccc.bcccc.shared.Publication/325472833, 325472833
+[Lorg.ccc.bcccc.shared.Publication;, true, true, true, true, [Lorg.ccc.bcccc.shared.Publication;/1292698735, 1292698735
+org.ccc.bcccc.shared.Report, true, true, true, true, org.ccc.bcccc.shared.Report/1971810881, 1971810881
+[Lorg.ccc.bcccc.shared.Report;, true, true, true, true, [Lorg.ccc.bcccc.shared.Report;/317565048, 317565048
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
Index: projets/BCCCC/war/bcccc/34CC664CABC78DF91255809163C9A03C.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/34CC664CABC78DF91255809163C9A03C.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/34CC664CABC78DF91255809163C9A03C.gwt.rpc	(revision 8)
@@ -0,0 +1,40 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.Data, true, true, true, true, org.ccc.bcccc.shared.Data/299459428, 299459428
+[Lorg.ccc.bcccc.shared.Data;, true, true, true, true, [Lorg.ccc.bcccc.shared.Data;/3541387031, 3541387031
+org.ccc.bcccc.shared.Dispositif, true, true, true, true, org.ccc.bcccc.shared.Dispositif/2259613867, 2259613867
+[Lorg.ccc.bcccc.shared.Dispositif;, true, true, true, true, [Lorg.ccc.bcccc.shared.Dispositif;/2568248444, 2568248444
+org.ccc.bcccc.shared.DocumentUnit, true, true, true, true, org.ccc.bcccc.shared.DocumentUnit/1769601531, 1769601531
+[Lorg.ccc.bcccc.shared.DocumentUnit;, true, true, true, true, [Lorg.ccc.bcccc.shared.DocumentUnit;/1820140400, 1820140400
+org.ccc.bcccc.shared.Report, true, true, true, true, org.ccc.bcccc.shared.Report/1971810881, 1971810881
+[Lorg.ccc.bcccc.shared.Report;, true, true, true, true, [Lorg.ccc.bcccc.shared.Report;/317565048, 317565048
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
Index: projets/BCCCC/war/bcccc/6E28B583F477797B1DDCF5D1B1766D04.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/6E28B583F477797B1DDCF5D1B1766D04.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/6E28B583F477797B1DDCF5D1B1766D04.gwt.rpc	(revision 8)
@@ -0,0 +1,34 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.Dispositif, true, true, true, true, org.ccc.bcccc.shared.Dispositif/2259613867, 2259613867
+[Lorg.ccc.bcccc.shared.Dispositif;, true, true, true, true, [Lorg.ccc.bcccc.shared.Dispositif;/2568248444, 2568248444
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
Index: projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 8)
@@ -417,11 +417,11 @@
 	 * @see org.ccc.bcccc.client.GreetingService#logIn(java.lang.String, java.lang.String, java.lang.String)
 	 */
 	@Override
-	public Boolean logIn(String login, String eta, String mdp) {
-		log.info("logIn: "+login+"@"+eta);
-		//if (mdp == null || !mdp.equals("lol")) return false; // TODO: replace with a shibboleth access
-		if (!usersDB.test(login+"@"+eta, mdp)) {
-			log.warning("logIn: wrong password/login: "+login+"@"+eta);
+	public boolean logIn(String login, String mdp) {
+		log.info("logIn: "+login);
+		// TODO: replace with a shibboleth access
+		if (!usersDB.test(login, mdp)) {
+			log.warning("logIn: wrong password/login: "+login);
 			return false;
 		}
 
@@ -443,8 +443,8 @@
 		// if (request.getHeader("Shib-EP-Affiliation").equals("staff")){...}
 
 		String session = this.getThreadLocalRequest().getSession().getId();
-		connectedUsers.put(session, login+"@"+eta);
-		log.info("logIn: ok "+login+"@"+eta);
+		connectedUsers.put(session, login);
+		log.info("logIn: ok "+login);
 		return true;
 	}
 
@@ -487,8 +487,8 @@
 //						log.warning("updateRecord: record needs to be validatd before: "+ID);
 //						return false;
 //					}
-					record.setDetailFields(content.numberOfParticipants, content.place, content.types, content.keywords, content.persons, content.dispositifs, content.documentations, content.supports, content.reports, content.publications);
-					record.setInfoFields(content.name, content.project, content.date, content.short_description, user);
+					record.setDetailFields(content.numberOfParticipants, content.types, content.keywords, content.persons, content.dispositifs, content.documentations, content.supports, content.reports, content.publications);
+					record.setInfoFields(content.name, content.project, content.place, content.date, content.short_description, user);
 					return records.save(record);
 
 				} else {
Index: projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java	(revision 8)
@@ -37,6 +37,7 @@
 import org.ccc.bcccc.shared.Dispositif;
 import org.ccc.bcccc.shared.DocumentUnit;
 import org.ccc.bcccc.shared.K;
+import org.ccc.bcccc.shared.Person;
 import org.ccc.bcccc.shared.Report;
 import org.ccc.bcccc.shared.TerrainRecord;
 import org.w3c.dom.Document;
@@ -204,6 +205,15 @@
 						String type = node.getTextContent();
 						record.types.add(type);
 					}
+					
+					// get persons
+					NodeList persons = rootElement.getElementsByTagName(K.PERSON);
+					for (int i=0; i<persons.getLength(); i++){
+						Element node = (Element)(persons.item(i));
+						String pname = node.getAttribute("name");
+						String role = node.getAttribute("role");
+						record.persons.add(new Person(pname, role));
+					}
 
 					// get keywords
 					NodeList keywords = rootElement.getElementsByTagName(K.KEYWORD);
@@ -219,8 +229,11 @@
 						Element node = (Element)(dispositifs.item(i));
 						String dname = node.getAttribute(K.NAME);
 						String url = node.getAttribute(K.URL);
+						int n = 1;
+						if (node.getAttribute(K.NUMBER) != null && node.getAttribute(K.NUMBER).length() > 0)
+							n = Integer.parseInt(node.getAttribute(K.NUMBER));
 						boolean mobile = Boolean.parseBoolean(node.getAttribute(K.MOBILE));
-						record.dispositifs.add(new Dispositif(dname, url, mobile));
+						record.dispositifs.add(new Dispositif(dname, n, url, mobile));
 					}
 					
 					// get supports
@@ -312,6 +325,13 @@
 				rootElement.appendChild(e);
 			}
 			
+			for (Person v : record.persons) {
+				Element e = doc.createElement(K.PERSON);
+				e.setAttribute("name", v.name);
+				e.setAttribute("role", v.role);
+				rootElement.appendChild(e);
+			}
+			
 			for (String v : record.keywords) {
 				Element e = doc.createElement(K.KEYWORD);
 				e.setTextContent(v);
@@ -322,6 +342,7 @@
 				Element e = doc.createElement(K.DISPOSITIF);
 				e.setAttribute(K.NAME, v.type);
 				e.setAttribute(K.URL, v.url.toString());
+				e.setAttribute(K.NUMBER, Integer.toString(v.numberUsed));
 				e.setAttribute(K.MOBILE, Boolean.toString(v.mobile));
 				rootElement.appendChild(e);
 			}
Index: projets/BCCCC/src/org/ccc/bcccc/shared/K.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/K.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/K.java	(revision 8)
@@ -132,4 +132,8 @@
 
 	public static final String MATCHINGSTRATEGY = "matching";
 
+	public static final String NUMBER = "number";
+
+	public static final String PERSON = "person";
+
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java	(revision 8)
@@ -34,6 +34,8 @@
 	 */
 	private static final long serialVersionUID = 623201999995138355L;
 
+	public int numberUsed = 1;
+	
 	/** The type. */
 	public String type = "";
 	
@@ -54,8 +56,9 @@
 	 * @param url the url
 	 * @param mobile the mobile
 	 */
-	public Dispositif(String type, String url, Boolean mobile) {
+	public Dispositif(String type, int n, String url, Boolean mobile) {
 		this.type = type;
+		this.numberUsed = n;
 		this.url = url;
 		this.mobile = mobile;
 	}
@@ -64,14 +67,14 @@
 	 * @see java.lang.Object#toString()
 	 */
 	public String toString() {
-		return type +" "+mobile+" "+url;
+		return type +" "+numberUsed+" "+mobile+" "+url;
 	}
 	
 	/* (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	public String toHTML() {
-		return "<p>Type : "+type +" "+(mobile?"mobile":"non mobile")+" plus d'information sur le matériel à l'adresse <a href=\""+url+"\">"+url+"</a></p>";
+		return "<p>"+numberUsed+" "+type +" "+(mobile?"mobile":"non mobile")+" plus d'information sur le matériel à l'adresse <a href=\""+url+"\">"+url+"</a></p>";
 	}
 	
 	public String toCompareString() {
Index: projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecord.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecord.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecord.java	(revision 8)
@@ -75,7 +75,7 @@
 	public List<String> keywords = new ArrayList<String>();
 
 	/** The persons. */
-	public List<String> persons = new ArrayList<String>();
+	public List<Person> persons = new ArrayList<Person>();
 
 	/** The dispositifs. */
 	public List<Dispositif> dispositifs = new ArrayList<Dispositif>();
@@ -107,9 +107,10 @@
 	 * @param user the user
 	 * @return the terrain record
 	 */
-	public TerrainRecord setInfoFields(String name, String project, Date date, String short_description, String user) {
+	public TerrainRecord setInfoFields(String name, String project, String place, Date date, String short_description, String user) {
 		this.name = name;
 		this.project = project;
+		this.place = place;
 		this.date = date;
 		if (date != null)
 			this.year = date.getYear()+1900;
@@ -134,12 +135,11 @@
 	 * @param publications the publications
 	 * @return the terrain record
 	 */
-	public TerrainRecord setDetailFields(int numberOfParticipants, String place, 
-			List<String> types, List<String> keywords, List<String> persons, 
+	public TerrainRecord setDetailFields(int numberOfParticipants, 
+			List<String> types, List<String> keywords, List<Person> persons, 
 			List<Dispositif> dispositifs, List<DocumentUnit> documentations, 
 			List<Data> supports, List<Report> reports, List<Publication> publications) {
 		this.numberOfParticipants = numberOfParticipants;
-		this.place = place;
 		this.types = types;
 		this.keywords = keywords;
 		this.persons = persons;
@@ -164,6 +164,7 @@
 				+ "\tDate="+date+" "+year+"\n"
 				+ "\tPlace="+place+"\n"
 				+ "\tNumberOfParticipants="+numberOfParticipants+"\n"
+				+ "\tPersons"+persons+"\n"
 				+ "\tTypes"+types+"\n"
 				+" \tMakers="+persons+"\n"
 				+ "\tDispositifs="+dispositifs+"\n"
@@ -182,9 +183,9 @@
 				"<li>Nom du projet ayant produit le terrain : "+project+"</li>\n" +
 				"<li>Créateur de la fiche : "+user+"</li>\n" +
 				"<li>Date de prise : "+DateTimeFormat.getFormat(PredefinedFormat.DATE_LONG).format(date)+"</li>\n" +
-				"<li>Lieu de prise : "+place+"</li>\n" +
+				"<li>Lieu de prise : "+place+" (<a target=\"_blank\" href=\"https://www.openstreetmap.org/search?query="+place+"\">View on map</a>)</li>\n" +
 				"<li>Nombre de participants: "+numberOfParticipants+"</li>" +
-				"<p>Persones impliquées dans la réalisation du terrain : "+toPrettyHTMLList(persons)+"</p>\n" +
+				"<p>Persones impliquées dans la réalisation du terrain : "+toPrettyHTMLIHTMLprintableList(persons)+"</p>\n" +
 				"</ul>" +
 				"<h3>Détails</h3>\n" +
 				"<p>Type : "+toPrettyHTMLList(types)+"</p>\n" +
@@ -195,7 +196,7 @@
 	}
 	
 	public String toPrettyHTMLIHTMLprintableList(List<? extends IHTMLprintable> list) {
-		if (list.size() == 0) return "aucun";
+		if (list.size() == 0) return "non renseigné.";
 		StringBuffer buf = new StringBuffer();
 		buf.append("<ul>\n");
 		for (IHTMLprintable o : list) {
@@ -206,7 +207,7 @@
 	}
 	
 	public String toPrettyHTMLList(List<String> list) {
-		if (list.size() == 0) return "NA";
+		if (list.size() == 0) return "non renseigné.";
 		StringBuffer buf = new StringBuffer();
 		buf.append("<ul>\n");
 		for (Object o : list) {
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordPersonsArea.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordPersonsArea.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordPersonsArea.java	(revision 8)
@@ -23,6 +23,8 @@
 
 import org.ccc.bcccc.client.areas.fields.PersonRecordField;
 import org.ccc.bcccc.client.panels.EditPanel;
+import org.ccc.bcccc.shared.Person;
+import org.ccc.bcccc.shared.Report;
 
 import com.google.gwt.user.client.ui.Label;
 import com.smartgwt.client.types.TitleOrientation;
@@ -47,14 +49,12 @@
  * The Class StringRecordField.
  */
 public class RecordPersonsArea extends VLayout {
-
-
-
+	
 	/** The name. */
 	String name;
 
 	/** The items. */
-	ArrayList<PersonRecordField> items = new ArrayList<PersonRecordField>();
+	ArrayList<PersonRecordField> fields = new ArrayList<PersonRecordField>();
 	
 	/** The panel. */
 	protected EditPanel panel;
@@ -96,11 +96,9 @@
 	 * Adds the a field.
 	 */
 	public void addAField() {
-		
-		//String lname = name.toLowerCase().replace(" ", "");
-		PersonRecordField field = new PersonRecordField(this, name);
+		PersonRecordField field = new PersonRecordField(this);
 		this.addMember(field); // add the new field item
-		
+		fields.add(field);
 	}
 
 	/**
@@ -114,31 +112,6 @@
 	}
 
 	/**
-	 * Gets the value.
-	 *
-	 * @return the value
-	 */
-	public String getValue() {
-		if (items.size() > 0) {
-			return items.get(0).getValue();
-		}
-		return "";
-	}
-
-	/**
-	 * Gets the values as string array.
-	 *
-	 * @return the values as string array
-	 */
-	public ArrayList<String> getValuesAsStringArray() {
-		ArrayList<String> ret = new ArrayList<String>();
-		for (PersonRecordField item : items) {
-			ret.add(item.getValue());
-		}
-		return ret;
-	}
-
-	/**
 	 * Sets the can edit.
 	 *
 	 * @param v the new can edit
@@ -148,21 +121,32 @@
 			form.setCanEdit(v);
 	}
 
-	/**
-	 * Sets the values.
-	 *
-	 * @param values the new values
-	 */
-	public void setValues(List<String> values) {
-		for (int i = 0 ; i < values.size() ; i++) {
-			if (items.size() <= i) addAField();
-			items.get(i).setValue(values.get(i));
-		}
-	}
-
 	public void removeAField(PersonRecordField personRecordField) {
-		items.remove(personRecordField);
+		fields.remove(personRecordField);
 		this.removeMember(personRecordField);
 		personRecordField.destroy();
 	}
+
+	public List<Person> getValues() {
+		ArrayList<Person> persons = new ArrayList<Person>();
+		for (PersonRecordField item : fields) {
+			persons.add(new Person(item.getName(), item.getRole()));
+		}
+		return persons;
+	}
+
+	public void setValues(List<Person> persons) {
+
+		while (fields.size() > persons.size() ) {
+			this.removeAField(fields.get(0));
+		}
+		
+		int i = 0;
+		for (Person d : persons) {
+			if (fields.size() <= i) addAField();
+
+			fields.get(i).setValue(d);
+			i++;
+		}
+	}
 }
\ No newline at end of file
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DocumentRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DocumentRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DocumentRecordField.java	(revision 8)
@@ -18,7 +18,7 @@
  */
 package org.ccc.bcccc.client.areas.fields;
 
-import org.ccc.bcccc.client.areas.DocumentsRecordArea;
+import org.ccc.bcccc.client.areas.RecordDocumentsArea;
 import org.ccc.bcccc.shared.DocumentUnit;
 
 import com.smartgwt.client.widgets.form.DynamicForm;
@@ -38,7 +38,7 @@
 	DocumentUnit r = new DocumentUnit("","","");
 	
 	/** The area. */
-	DocumentsRecordArea area;
+	RecordDocumentsArea area;
 	
 	/** The n. */
 	int n;
@@ -58,7 +58,7 @@
 	 * @param area the area
 	 * @param n the n
 	 */
-	public DocumentRecordField(DocumentsRecordArea area, int n) {
+	public DocumentRecordField(RecordDocumentsArea area, int n) {
 		
 		this.area = area;
 		this.n = n;
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DispositifsRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DispositifsRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DispositifsRecordField.java	(revision 8)
@@ -18,7 +18,7 @@
  */
 package org.ccc.bcccc.client.areas.fields;
 
-import org.ccc.bcccc.client.areas.DispositifsRecordArea;
+import org.ccc.bcccc.client.areas.RecordDispositifsArea;
 import org.ccc.bcccc.shared.Dispositif;
 
 import com.smartgwt.client.util.SC;
@@ -29,6 +29,7 @@
 import com.smartgwt.client.widgets.form.fields.PickerIcon;
 import com.smartgwt.client.widgets.form.fields.PickerIcon.Picker;
 import com.smartgwt.client.widgets.form.fields.SelectItem;
+import com.smartgwt.client.widgets.form.fields.SpinnerItem;
 import com.smartgwt.client.widgets.form.fields.StaticTextItem;
 import com.smartgwt.client.widgets.form.fields.TextItem;
 import com.smartgwt.client.widgets.form.fields.events.ClickEvent;
@@ -43,14 +44,16 @@
 public class DispositifsRecordField extends DynamicForm {
 	
 	/** The r. */
-	Dispositif r = new Dispositif("", "", false);
+	Dispositif r = new Dispositif("", 1, "", false);
 	
 	/** The area. */
-	DispositifsRecordArea area;
+	RecordDispositifsArea area;
 	
 	/** The n. */
 	int n;
 	
+	SpinnerItem numberUsedField;
+	
 	/** The type field. */
 	SelectItem typeField;
 	
@@ -66,12 +69,17 @@
 	 * @param area the area
 	 * @param n the n
 	 */
-	public DispositifsRecordField(DispositifsRecordArea area, int n) {
+	public DispositifsRecordField(RecordDispositifsArea area, int n) {
 		
 		this.area = area;
 		this.n = n;
 		this.setNumCols(7);
 		
+		numberUsedField = new SpinnerItem("dispnumber"+n);
+		numberUsedField.setTitle("quantité utilisée");
+		numberUsedField.setValue(1);
+		numberUsedField.setMin(1);
+				
 		typeField = new SelectItem("dispname"+(n));
 		typeField.setValueMap(Dispositif.types);
 		typeField.setTitle("Type");
@@ -94,7 +102,7 @@
 			}
 		});
 
-		this.setItems(typeField, urlField, mobileItem, removeButton);
+		this.setItems(typeField, numberUsedField, urlField, mobileItem, removeButton);
 
 	}
 	
@@ -107,6 +115,7 @@
 		typeField.setValue(r.type);
 		urlField.setValue(r.url);
 		mobileItem.setValue(r.mobile);
+		numberUsedField.setValue(r.numberUsed);
 	}
 	
 	/**
@@ -122,6 +131,7 @@
 		else r.url = "";
 		
 		r.mobile = mobileItem.getValueAsBoolean();
+		r.numberUsed = Integer.parseInt(numberUsedField.getValueAsString());
 		return r;
 	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/TypeRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/TypeRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/TypeRecordField.java	(revision 8)
@@ -14,7 +14,7 @@
 	/** The no. */
 	protected static int no = 1;
 	RecordTypesArea area;
-	final public String[] typesValues = {"privé", "commerce", "école", "etc."};
+	final public String[] typesValues = {"privé", "commerce", "école", "classe", "etc."};
 	SelectItem field;
 	
 	public TypeRecordField(RecordTypesArea area, String name) {
